[tool.poetry]
name = "congregate"
version = "6.18.0"
description = "GitLab Professional Service Migration Utility"
authors = ["Michael Leopard <mleopard@gitlab.com>", "Petar Prokic <pprokic@gitlab.com>", "Glen Miller <gmiller@gitlab.com>"]

[tool.poetry.dependencies]
python = "3.8.12"
autopep8 = "^1.5"
awscli = "^1.22.32"
boto3 = "^1.17.15"
bs4 = "^0.0.1"
docker = "^5.0.0"
docopt = "^0.6.2"
Flask = "^2.0.2"
gevent = "<=21.1.2"
gunicorn = "<=20.0.4"
json2html = "^1.3.0"
lxml = "^4.6.3"
mock = "<=4.0.1"
pytest = "<=5.3.5"
pytest-cov = "^2.8.1"
requests = "^2.22.0"
requests-toolbelt = "^0.9.1"
responses = "^0.10.9"
xmltodict = "^0.12.0"
python-jenkins = "^1.7.0"
pandas = "^1.1.1"
xlrd = "^1.2.0"
odfpy = "^1.4.1"
toml = "^0.10.1"
pymongo = "^3.11.0"
mongomock = "^3.20.0"
pylint = "^2.6.0"
tqdm = "^4.59.0"
gitlab-ps-utils = "0.8.0"
mkdocs = "^1.2.3"
mkdocs-material = "^8.1.11"
mkdocs-mermaid2-plugin = "^0.5.2"
mkdocstrings = "^0.18.0"
mkdocs-gen-files = "^0.3.4"
mkdocs-literate-nav = "^0.4.1"
grpcio = "^1.47.0"
grpcio-tools = "^1.47.0"


[tool.poetry.dev-dependencies]

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
